--[[
	Created through the help of Xzandro XTimestamp AddOn
--]]

----------------------------------
-- Variables
----------------------------------
local TEL =
{
	control = nil
}

-- Constants
TEL.NAME = 'TsEmoteList'

----------------------------------
-- Functions
----------------------------------
function TEL_Initialize( _control )
	TEL.control = _control
	TEL:OnInitialized()
end

function TEL:OnInitialized()
	SLASH_COMMANDS[ "/emotes" ] =
		function( _param )
			self:ListEmotes()
		end
end

function TEL:ListEmotes()
	for i = 1, GetNumChatContainerTabs( 1 ), 1 do
		if( _G[ "ZO_ChatWindowTabTemplate" .. i ]:GetDrawLevel() == 2 ) then
			local tab = _G[ "ZO_ChatWindowTemplate" .. i .. "Buffer" ]
			local emoteCount = GetNumEmotes()
			tab:AddMessage("|cEEEE00Listing " .. emoteCount .. " emotes:|r")
			
			for j = 1, emoteCount, 1 do
				tab:AddMessage("|cEEEE00" .. GetEmoteSlashName( j ) .. "|r")
			end
		end
	end
end